Loading...
Searching...
No Matches
ojph_mem.h File Reference
`#include <cstdlib>`
`#include <cassert>`
`#include <cstring>`
`#include <type_traits>`
`#include "ojph_arch.h"`

Go to the source code of this file.

## Classes

class | ojph::mem_fixed_allocator
class | ojph::line_buf
struct | ojph::lifting_buf
struct | ojph::coded_lists
class | ojph::mem_elastic_allocator
struct | ojph::mem_elastic_allocator::stores_list

## Namespaces

namespace | ojph

## Functions

void * | ojph::ojph_aligned_malloc (size_t alignment, size_t size)
void | ojph::ojph_aligned_free (void *pointer)